Subject: linux-next: manual merge of the xen-two tree with the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 15 Mar 2011 17:28:33 +1100

Hi Konrad,

Today's linux-next merge of the xen-two tree got a conflict in
arch/x86/pci/xen.c between commit 2c778651f73d ("x86: Cleanup the genirq
name space") from the tip tree and commit bf480d952bcf ("xen: events:
separate MSI PIRQ allocation from PIRQ binding to IRQ") from the xen-two
tree.  Commit f420e010edd8 ("xen: events: push set_irq_msi down into
xen_create_msi_irq") then moved the code modified by the tip tree commit
into drivers/xen/events.c.

I fixed it up (I think - see below) and can carry the fix as necessary (I
used the xen-two tree's version of arch/x86/pci/xen.c).
-- 
Cheers,
Stephen Rothwell                    [email-masked]

diff --git a/drivers/xen/events.c b/drivers/xen/events.c
index 62e5237..934a3b1 100644
--- a/drivers/xen/events.c
+++ b/drivers/xen/events.c
@@ -692,7 +692,7 @@ int xen_bind_pirq_msi_to_irq(struct pci_dev *dev, struct msi_desc *msidesc,
 				      handle_level_irq, name);
 
 	xen_irq_info_pirq_init(irq, 0, pirq, 0, vector, 0);
-	ret = set_irq_msi(irq, msidesc);
+	ret = irq_set_msi_desc(irq, msidesc);
 	if (ret < 0)
 		goto error_irq;
 out:
-- 
1.7.4.1